import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceManageSlaughterRequestDashboard = createAsyncThunk(
  "PROVINCE_SLAUGHTER_REQUEST_DASHBOARD",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(`dashboard_kill_request`, {
      params: {
        date1: d.selectedDate1,
        date2: d.selectedDate2,
        role: getRoleFromUrl(),
        // search: "filter",
        // value: d.text ? d.text : "",
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
